Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.remote
Class ProviderHelper

    java.lang.Object
      mx4j.remote.ProviderHelper

Direct Known Subclasses:
  ConnectionResolver, ProviderFactory

public abstract class ProviderHelper
extends java.lang.Object

Version:
  $Revision: 1.5 $

Constructor Summary
`ProviderHelper()`

Method Summary
`protected static java.lang.String` | `constructClassName(java.lang.String packageName, java.lang.String protocol, java.lang.String className)`
`protected static java.lang.String` | `findSystemPackageList(java.lang.String key)`
`protected static Logger` | `getLogger()`
`protected static java.lang.Class` | `loadClass(java.lang.String className, java.lang.ClassLoader loader)`
`protected static java.lang.String` | `normalizeProtocol(java.lang.String protocol)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderHelper

    public ProviderHelper()

Method Detail

### normalizeProtocol

    protected static java.lang.String normalizeProtocol(java.lang.String protocol)

### findSystemPackageList

    protected static java.lang.String findSystemPackageList(java.lang.String key)

### loadClass

    protected static java.lang.Class loadClass(java.lang.String className,
                                               java.lang.ClassLoader loader)
                                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### constructClassName

    protected static java.lang.String constructClassName(java.lang.String packageName,
                                                         java.lang.String protocol,
                                                         java.lang.String className)

### getLogger

    protected static Logger getLogger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.